# -*- encoding : utf-8 -*-

class Admin::LabelDistributeursController < ApplicationController
  layout "admin"
  before_filter :auth_admin

  def index
    @label_distributeurs = LabelDistributeur.all

   
  end

  def show
    @label_distributeur = LabelDistributeur.find(params[:id])

  end

  def new
    
    
		@label_distributeur = LabelDistributeur.new
    

  end

 

  def edit
  
    
    @label_distributeur = LabelDistributeur.find(params[:id])
  end

  def create
    @label_distributeur = LabelDistributeur.new(params.require(:label_distributeur).permit!)


    if @label_distributeur.save
     redirect_to admin_label_distributeurs_url, notice: 'Le distributeur a été crée.' 
      
    else
      render action: "new"
 
    end

  end


  def update
    @label_distributeur = LabelDistributeur.find(params[:id])


    if @label_distributeur.update_attributes(params.require(:label_distributeur).permit!)
      redirect_to admin_label_distributeurs_url, notice: 'Les infos sur le distributeur ont été mise à jour.' 
     
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @label_distributeur = LabelDistributeur.find(params[:id])
    @label_distributeur.destroy
    
    redirect_to admin_label_distributeurs_url

  end
end
